package com.muyu.common.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 多数据源对象 entinfo
 *
 * @author muyu
 * @date 2024-06-06
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("entinfo")
public class Entinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据源key */
    @Excel(name = "数据源key")
    private String entCode;

    /** 数据源ip */
    @Excel(name = "数据源ip")
    private String ip;

    /** 数据源端口 */
    @Excel(name = "数据源端口")
    private Integer port;

    /** 数据源ID */
    private Long id;


}
