package com.muyu.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.business.domain.Business;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.LoginUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**  BusinessMapper
  * @author xiaohuang
  *   on 2024/6/4
  */public interface BusinessMapper extends BaseMapper<Business> {

    /**
     * 查询企业
     *
     * @param id 企业主键
     * @return 企业
     */
    public Business selectBusinessById(Long id);

    /**
     * 查询企业列表
     *
     * @param business 企业
     * @return 企业集合
     */
    public List<Business> selectBusinessList(Business business);

    /**
     * 新增企业
     *
     * @param business 企业
     * @return 结果
     */
    public int insertBusiness(Business business);

    /**
     * 修改企业
     *
     * @param business 企业
     * @return 结果
     */
    public int updateBusiness(Business business);

    /**
     * 删除企业
     *
     * @param id 企业主键
     * @return 结果
     */
    public int deleteBusinessById(Long id);

    /**
     * 批量删除企业
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessByIds(Long[] ids);


    Result<LoginUser> info(@Param("userId") Long userId);
}
