package com.muyu.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.business.domain.Entinfo;


import java.util.List;

/**
 * 多数据源Mapper接口
 *
 * @author muyu
 * @date 2024-06-06
 */
public interface EntinfoMapper extends BaseMapper<Entinfo>
{
    /**
     * 查询多数据源
     *
     * @param id 多数据源主键
     * @return 多数据源
     */
    public Entinfo selectEntinfoById(Long id);

    /**
     * 查询多数据源列表
     *
     * @param entinfo 多数据源
     * @return 多数据源集合
     */
    public List<Entinfo> selectEntinfoList(Entinfo entinfo);

    /**
     * 新增多数据源
     *
     * @param entinfo 多数据源
     * @return 结果
     */
    public int insertEntinfo(Entinfo entinfo);

    /**
     * 修改多数据源
     *
     * @param entinfo 多数据源
     * @return 结果
     */
    public int updateEntinfo(Entinfo entinfo);

    /**
     * 删除多数据源
     *
     * @param id 多数据源主键
     * @return 结果
     */
    public int deleteEntinfoById(Long id);

    /**
     * 批量删除多数据源
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEntinfoByIds(Long[] ids);
}
