package com.muyu.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.business.domain.Business;

import java.util.List;

/**
 * 企业 BusinessService
 *
 * @author xiaohuang
 * on 2024/6/4
 */
public interface BusinessService extends IService<Business> {

    /**
     * 查询企业
     */
    public Business selectBusinessById(Long id);


    /**
     * 查询企业列表
     */
    public List<Business> selectBusinessList(Business business);


    /**
     * 新增企业
     */
    public int insertBusiness(Business business);


    /**
     * 修改企业
     */
    public int updateBusiness(Business business);

    /**
     * 批量删除企业
     *
     * @param ids 需要删除的企业主键集合
     * @return 结果
     */
    public int deleteBusinessByIds(Long[] ids);



    /**
     * 删除企业信息
     */
    public int deleteBusinessById(Long id);

}
