package com.muyu.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.business.domain.Entinfo;

import java.util.List;

/**
 * 多数据源 IEntinfoService
 *
 * @author xiaohuang
 * on 2024/6/7
 */
public interface IEntinfoService extends IService<Entinfo> {

    /**
     * 查询多数据源
     *
     * @param id 多数据源主键
     * @return 多数据源
     */
    public Entinfo selectEntinfoById(Long id);

    /**
     * 查询多数据源列表
     *
     * @param entinfo 多数据源
     * @return 多数据源集合
     */
    public List<Entinfo> selectEntinfoList(Entinfo entinfo);

    /**
     * 新增多数据源
     *
     * @param entinfo 多数据源
     * @return 结果
     */
    public int insertEntinfo(Entinfo entinfo);

    /**
     * 修改多数据源
     *
     * @param entinfo 多数据源
     * @return 结果
     */
    public int updateEntinfo(Entinfo entinfo);

    /**
     * 批量删除多数据源
     *
     * @param ids 需要删除的多数据源主键集合
     * @return 结果
     */
    public int deleteEntinfoByIds(Long[] ids);

    /**
     * 删除多数据源信息
     *
     * @param id 多数据源主键
     * @return 结果
     */
    public int deleteEntinfoById(Long id);
}
