package com.muyu.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.business.domain.Entinfo;
import com.muyu.business.mapper.EntinfoMapper;
import com.muyu.business.service.IEntinfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 多数据源 EntinfoServiceImpl
 *
 * @author xiaohuang
 * on 2024/6/7
 */

@Service
public class EntinfoServiceImpl extends ServiceImpl<EntinfoMapper, Entinfo> implements IEntinfoService {


    @Autowired
    private EntinfoMapper entinfoMapper;


    /**
     * 查询多数据源
     */
    @Override
    public Entinfo selectEntinfoById(Long id){
        return entinfoMapper.selectEntinfoById(id);
    }


    /**
     * 查询多数据源列表
     */
    @Override
    public List<Entinfo> selectEntinfoList(Entinfo entinfo){
        return entinfoMapper.selectEntinfoList(entinfo);
    }


    /**
     * 新增
     */
    @Override
    public int insertEntinfo(Entinfo entinfo){
        return entinfoMapper.insertEntinfo(entinfo);
    }


    /**
     * 修改
     */
    @Override
    public int updateEntinfo(Entinfo entinfo){
        return entinfoMapper.updateEntinfo(entinfo);
    }


    /**
     * 批量删除
     */
    @Override
    public int deleteEntinfoByIds(Long[] ids){
        return entinfoMapper.deleteEntinfoByIds(ids);
    }


    /**
     * 删除多数据源信息
     */
    @Override
    public int deleteEntinfoById(Long id){
        return entinfoMapper.deleteEntinfoById(id);
    }


}
