package com.muyu.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.muyu.business.domain.Cart;
import com.muyu.business.domain.CartVo;
import com.muyu.business.domain.Type;
import com.muyu.business.mapper.PlusMapper;
import com.muyu.business.mapper.TypeMapper;
import com.muyu.business.service.PlusService;
import com.muyu.common.core.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PlusServiceImpl
 *
 * @author xiaohuang
 * on 2024/6/10
 */

@Service
public class PlusServiceImpl extends MPJBaseServiceImpl<PlusMapper, Cart> implements PlusService {


    @Autowired
    private PlusMapper plusMapper;

    @Autowired
    private TypeMapper typeMapper;

    @Override
    public Result cartList(){
        MPJLambdaWrapper<Cart> mpjLambdaWrapper = new MPJLambdaWrapper<Cart>()
                .selectAll( Cart.class) //查询主表所有的字段
                .select(Type::getTypeName) //查询类型名称
                .leftJoin(Type.class, Type::getId, Cart::getTypeId);//左连接查询，相当于 left join type on dept.id=user.dept_id
        List<CartVo> cartList = plusMapper.selectJoinList(CartVo.class, mpjLambdaWrapper);


        List<Cart> list = this.list();
        list.stream().forEach(cart -> {

            LambdaQueryWrapper<Type> typeLambdaQueryWrapper = new LambdaQueryWrapper<>();
            Type type = typeMapper.selectOne(typeLambdaQueryWrapper.eq(Type::getId, cart.getTypeId()));
            cart.setName(type.getTypeName());

        });
        System.out.println(list);
        return Result.success(list,cartList.toString());
    }
}
