package com.muyu.vehicle.datasource;


import com.muyu.vehicle.datasource.config.factory.DruidDataSourceFactory;
import com.muyu.vehicle.datasource.config.role.DynamicDataSource;
import com.muyu.vehicle.datasource.domain.DataSourceInfo;
import com.muyu.vehicle.datasource.domain.EntInfo;
import lombok.extern.log4j.Log4j2;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author DongZl
 * @description: 数据源配置
 * @Date 2023-8-1 上午 11:05
 */
@Log4j2
@Configuration
public class ManyDataSource {


    private List<EntInfo> dataSourceInfoList(){
        List<EntInfo> databaseNameList = new ArrayList<>(){{
            add(EntInfo.builder()
                    .entCode("test_1")
                    .ip("175.24.138.82")
                    .port(7777)
                    .build());
        }};
        return databaseNameList;
    }



    @Bean
    @Primary
    public DynamicDataSource dynamicDataSource(DruidDataSourceFactory druidDataSourceFactory) {

        //查企业
        Map<Object, Object> dataSourceMap = new HashMap<>();
        dataSourceInfoList()
                .stream()
                .map(entInfo-> DataSourceInfo.hostAndPortBuild(entInfo.getEntCode(),entInfo.getIp(),entInfo.getPort()))
                .forEach(dataSourceInfo -> {
            dataSourceMap.put(dataSourceInfo.getKey(), druidDataSourceFactory.create(dataSourceInfo));
        });
        //设置动态数据源
        DynamicDataSource dynamicDataSource = new DynamicDataSource();
//        dynamicDataSource.setDefaultTargetDataSource(masterDataSource());
        dynamicDataSource.setTargetDataSources(dataSourceMap);
        //将数据源信息备份在defineTargetDataSources中
        dynamicDataSource.setDefineTargetDataSources(dataSourceMap);
        return dynamicDataSource;
    }
}
