package com.muyu.vehicle.datasource.config;


import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.vehicle.datasource.config.holder.DynamicDataSourceHolder;
import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.stereotype.Component;

/**
 * @author DongZl
 * @description: 数据源切面
 * @Date 2023-8-2 下午 08:26
 */
@Aspect
@Component
public class DataSourceAsp {

    @Pointcut("execution(public * com.muyu.vehicle.controller.*Controller.*(..))")
    public void pointcut () {
    }


    /**
     * 的每一個方法執行之前 執行的處理
     */
    @Before("pointcut()")
    public void beforeMethod() {
        Long storeId = SecurityUtils.getLoginUser().getUserid();
        DynamicDataSourceHolder.setDynamicDataSourceKey("test_"+storeId);
    }
    /**
     * 的每一個方法執行之后 執行的處理
     * 无论正常还是异常终了
     * 不能接受到返回值
     */
    @After("pointcut()")
    public void afterMethod() {
        DynamicDataSourceHolder.removeDynamicDataSourceKey();
    }
}
