package com.muyu.vehicle.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.vehicle.domain.vo.Path;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;


/**
 * 围栏对象 fence
 *
 * @author muyu
 * @date 2024-05-31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("fence")
public class Fence extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 围栏主键 */
    private Long id;

    /** 围栏名称 */
    @Excel(name = "围栏名称")
    private String name;

    @Excel(name = "围栏组ID")
    private Long groupId;

    /** 围栏经纬集合 */
    @TableField(exist = false)
    private List<Path> path;
    /** 围栏经纬 */
    @Excel(name = "围栏经纬")
    private String fenceLongitudeLatitude;

    /** 围栏备注 */
    @Excel(name = "围栏备注")
    private String fenceDescription;
    /** 半径 */
    @Excel(name = "半径")
    private Double radius;

    /** 驶入，驶出 */
    @Excel(name = "驶入，驶出")
    private String eventType;

    /** 是否删除 0 不删除 1删除 */
    @Excel(name = "是否删除 0 不删除 1删除")
    private String isDelete;

    /** 围栏状态 */
    @Excel(name = "围栏状态")
    private String fenceState;



}
