package com.muyu.vehicle.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 车辆录入对象 vehicle
 *
 * @author muyu
 * @date 2024-05-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("vehicle")
public class Vehicle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆主键 */
    private Long id;

    /** 车辆vin */
    @Excel(name = "车辆vin")
    private String number;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private Long typeId;

    /** 电子围栏ID */
    @Excel(name = "电子围栏ID")
    private Long electonicId;

    /** 电机厂商 */
    @Excel(name = "电机厂商")
    private String motor;

    /** 电池厂商 */
    @Excel(name = "电池厂商")
    private String battery;

    /** 电机编号 */
    @Excel(name = "电机编号")
    private Long motorNumber;

    /** 电池编号 */
    @Excel(name = "电池编号")
    private Long batteryNumber;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long businessId;

    @Excel(name="围栏组ID")
    private Long groupId;

}
