package com.muyu.vehicle.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.vehicle.domain.Fence;


import java.util.List;

/**
 * 围栏Mapper接口
 *
 * @author muyu
 * @date 2024-05-31
 */
public interface FenceMapper extends BaseMapper<Fence>
{

    /**
     * 查询围栏
     *
     * @param id 围栏主键
     * @return 围栏
     */
    public Fence selectFenceById(Long id);

    /**
     * 查询围栏列表
     *
     * @param fence 围栏
     * @return 围栏集合
     */
    public List<Fence> selectFenceList(Fence fence);

    /**
     * 新增围栏
     *
     * @param fence 围栏
     * @return 结果
     */
    public int insertFence(Fence fence);

    /**
     * 修改围栏
     *
     * @param fence 围栏
     * @return 结果
     */
    public int updateFence(Fence fence);

    /**
     * 删除围栏
     *
     * @param id 围栏主键
     * @return 结果
     */
    public int deleteFenceById(Long id);

    /**
     * 批量删除围栏
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFenceByIds(Long[] ids);
}
