package com.muyu.vehicle.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.vehicle.domain.Group;


import java.util.List;


/**
 * 围栏组Mapper接口
 *
 * @author muyu
 * @date 2024-06-02
 */
public interface GroupMapper  extends BaseMapper<Group>
{
    /**
     * 查询围栏组
     *
     * @param id 围栏组主键
     * @return 围栏组
     */
    public Group selectGroupById(Long id);

    /**
     * 查询围栏组列表
     *
     * @param group 围栏组
     * @return 围栏组集合
     */
    public List<Group> selectGroupList(Group group);

    /**
     * 新增围栏组
     *
     * @param group 围栏组
     * @return 结果
     */
    public int insertGroup(Group group);

    /**
     * 修改围栏组
     *
     * @param group 围栏组
     * @return 结果
     */
    public int updateGroup(Group group);

    /**
     * 删除围栏组
     *
     * @param id 围栏组主键
     * @return 结果
     */
    public int deleteGroupById(Long id);

    /**
     * 批量删除围栏组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGroupByIds(Long[] ids);
}
