package com.muyu.vehicle.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.vehicle.domain.Vehicle;


import java.util.List;

/**
 * 车辆录入Mapper接口
 *
 * @author muyu
 * @date 2024-05-27
 */
public interface VehicleMapper extends BaseMapper<Vehicle>
{
    /**
     * 查询车辆录入
     *
     * @param id 车辆录入主键
     * @return 车辆录入
     */
    public Vehicle selectVehicleById(Long id);

    /**
     * 查询车辆录入列表
     *
     * @param vehicle 车辆录入
     * @return 车辆录入集合
     */
    public List<Vehicle> selectVehicleList(Vehicle vehicle);

    /**
     * 新增车辆录入
     *
     * @param vehicle 车辆录入
     * @return 结果
     */
    public int insertVehicle(Vehicle vehicle);

    /**
     * 修改车辆录入
     *
     * @param vehicle 车辆录入
     * @return 结果
     */
    public int updateVehicle(Vehicle vehicle);

    /**
     * 删除车辆录入
     *
     * @param id 车辆录入主键
     * @return 结果
     */
    public int deleteVehicleById(Long id);

    /**
     * 批量删除车辆录入
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVehicleByIds(Long[] ids);
}
