package com.muyu.vehicle.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.vehicle.domain.Vehicle;


import java.util.List;

/**
 * 车辆录入Service接口
 *
 * @author muyu
 * @date 2024-05-27
 */
public interface IVehicleService extends IService<Vehicle>
{

    /**
     * 查询车辆录入
     *
     * @param id 车辆录入主键
     * @return 车辆录入
     */
    public Vehicle selectVehicleById(Long id);

    /**
     * 查询车辆录入列表
     *
     * @param vehicle 车辆录入
     * @return 车辆录入集合
     */
    public List<Vehicle> selectVehicleList(Vehicle vehicle);

    /**
     * 新增车辆录入
     *
     * @param vehicle 车辆录入
     * @return 结果
     */
    public int insertVehicle(Vehicle vehicle);

    /**
     * 修改车辆录入
     *
     * @param vehicle 车辆录入
     * @return 结果
     */
    public int updateVehicle(Vehicle vehicle);

    /**
     * 批量删除车辆录入
     *
     * @param ids 需要删除的车辆录入主键集合
     * @return 结果
     */
    public int deleteVehicleByIds(Long[] ids);

    /**
     * 删除车辆录入信息
     *
     * @param id 车辆录入主键
     * @return 结果
     */
    public int deleteVehicleById(Long id);
}
